# luci-app-easymesh

## Introduction

`luci-app-easymesh` is an OpenWrt LuCI app designed to facilitate the easy setup and management of mesh networks leveraging the `batman-adv` advanced mesh networking protocol. 

![ITS BATMAN ADVANCED](https://i.imgur.com/xj9N9Em.jpg)

### What is Batman-adv?

The B.A.T.M.A.N. (Better Approach To Mobile Adhoc Networking) advanced protocol is an open-source technology that is designed to deliver efficient and robust mesh network solutions. It is a routing protocol that is ideal for establishing stable and scalable wireless mesh networks, hence is the backbone of `luci-app-easymesh`.

## Benefits for OpenWrt Users

- **Stability and Scalability:** Batman-adv ensures a stable and scalable network solution, allowing for seamless expansion of your network without sacrificing performance.
- **Cost-Efficient:** Reuse old routers to expand your network instead of buying new equipment.
- **Self-Healing:** In the event of node failures, the mesh network can automatically re-route and ensure uninterrupted connectivity.
- **Ease of Use:** The luci-app-easy-mesh provides a user-friendly interface to set up and manage your mesh network without the need for complex configurations.

## Features

- **Visual Network Topology:** Easily visualize the nodes in your network and their connections.
- **Centralized Management:** Manage all your nodes from a single interface.
- **Advanced Configuration Options:** For power users, the app offers detailed configuration options to fine-tune the network.

## Installation

Remove any existing wpad package becore installing.

### Dependencies

- OpenWrt version 21 newer
- LuCI web interface
- `batman-adv` package

### Step-by-step Installation Guide

1. Update your OpenWrt package list.
2. Install the necessary dependencies.
3. Download and install the `luci-app-easymesh` package.

## Configuration

Enable mesh network on AC radio using the same ID and password for all mesh nodes.

## Support

Ask Batman


